> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/linux/introduction.md).

# Introduction

This document provides instructions for software developers who want to create software solutions that include a DynaWave, mDynamo, DynaProx, DynaFlex Pro, and DynaFlex II PED connected to a Linux-based host via USB. It is part of a larger library of documents designed to assist MagTek devices implementers, which includes the following documents available from MagTek.

The following documents are essential:

* <mark style="color:red;">**MagneSafe V5 Communication Reference Manual**</mark>
* <mark style="color:red;">**DynaFlex Family Programmer’s Manual**</mark>&#x20;

### About the MagTek Universal SDK C++ ( Linux ) <a href="#id-1.1_about_the_magtek_universal_sdk_c" id="id-1.1_about_the_magtek_universal_sdk_c"></a>

The MTUSDK C++ ( Linux ), available from MagTek, provides demonstration source code and a reusable MTUSDK library that provide developers of custom software solutions with an easy-to-use interface for DynaWave, mDynamo, DynaProx, DynaFlex Pro, and DynaFlex II PED. Developers can include the MTUSDK library in custom branded software which can be distributed to customers or distributed internally as part of an enterprise solution.

### Nomenclature <a href="#id-1.2_nomenclature" id="id-1.2_nomenclature"></a>

The general terms “device” and “host” are used in different, often incompatible ways in a multitude of specifications and contexts. For example “host” may have different meanings in the context of USB communication than it does in the context of networked financial transaction processing. In this document, “device” and “host” are used strictly as follows:

* Device refers to the device (eg. DynaProx) that receives and responds to the command set specified in this document.
* Host refers to the piece of general-purpose electronic equipment the device is connected or paired to, which can send data to and receive data from the device. Host types include PC and Mac computers/laptops, tablets, smartphones, teletype terminals, and even test harnesses. In many cases the host may have custom software installed on it that communicates with the device. When “host” must be used differently, it is qualified as something specific, such as “USB host.”

The word “user” is also often used in different ways in different contexts. In this document, user generally refers to the cardholder.

### SDK Contents <a href="#id-1.3_sdk_contents" id="id-1.3_sdk_contents"></a>

<table data-header-hidden><thead><tr><th width="167.181884765625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">File</td><td valign="top">Description</td></tr><tr><td valign="top">mtscra</td><td valign="top">Folder containing the libmtscra.a library source code.</td></tr><tr><td valign="top">mtmms</td><td valign="top">Folder containing the libmtmms.a library source code.</td></tr><tr><td valign="top">mtscratest</td><td valign="top">Folder containing the MTSCRA Test console app.</td></tr><tr><td valign="top">mtusdk</td><td valign="top">Folder containing the MTUSDK library source code..</td></tr><tr><td valign="top">mtusdk_test</td><td valign="top">Folder containing the MTUSDK Test app for EMV transaction.</td></tr></tbody></table>

### System Requirements <a href="#id-1.4_system_requirements" id="id-1.4_system_requirements"></a>

Tested operating systems:&#x20;

* Ubuntu 20.04.5&#x20;

Tested development environments:

* Windows 10 with Microsoft Visual Studio 2017

### Interfaces for Operating Systems <a href="#id-1.5_interfaces_for_operating_systems" id="id-1.5_interfaces_for_operating_systems"></a>

The following table matches the device interface to operating system.

<table data-header-hidden><thead><tr><th width="178.3636474609375" valign="top"></th><th width="118.0908203125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Device</td><td valign="top">Interface</td><td valign="top">Operating System</td></tr><tr><td valign="top">DynaFlex II PED</td><td valign="top">USB</td><td valign="top">Ubuntu</td></tr><tr><td valign="top">DynaFlex II Go</td><td valign="top">USB</td><td valign="top">Ubuntu</td></tr><tr><td valign="top">DynaFlex Pro</td><td valign="top">USB</td><td valign="top">Ubuntu</td></tr><tr><td valign="top">DynaProx</td><td valign="top"><p>USB</p><p>Serial</p></td><td valign="top">Ubuntu</td></tr><tr><td valign="top">mDynamo</td><td valign="top"><p>USB</p><p>Serial</p></td><td valign="top">Ubuntu</td></tr><tr><td valign="top">DynaWave</td><td valign="top"><p>USB</p><p>Serial</p></td><td valign="top">Ubuntu</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/linux/introduction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
